ARG DOCKER_BASE_IMAGE
FROM ${DOCKER_BASE_IMAGE}
MAINTAINER informatique@agepoly.ch

RUN echo "locales locales/locales_to_be_generated multiselect en_US.UTF-8 UTF-8" | debconf-set-selections

ENV LC_ALL en_US.UTF-8
ENV LANG en_US.UTF-8
ENV LANGUAGE en_US

RUN apt-get update
RUN apt-get install -y locales
RUN locale-gen en_US.UTF-8

# Install aenum so we can download the image containing bity dependencies installed since we have no access to the repository
RUN apt-get install -y    \
    build-essential       \
    devscripts            \
    equivs                \
    git                   \
    linux-headers-generic \
    python3-pip           \
    swig                  \
    tox

RUN rm -rf /var/lib/apt/lists/*
RUN apt-get clean
